Little question about CentOS 7 repo, dependenciesetc...

Forum for questions and support relating to the 1.30.x releases only.
Post Reply
rockandroller
Posts: 48
Joined: Tue Dec 22, 2015 12:44 am

Little question about CentOS 7 repo, dependenciesetc...

Post by rockandroller » Wed Oct 18, 2017 9:14 pm

:?: I've changed from zmrepo to the rpmfusion, and successfully updated to latest 1.30.4 - and it's running fine! :D

( centos-release-7-4.1708.el7.centos.x86_64 )

I didn't get the memo on this, so the last while I've been on 'zmrepo' and still doing one by one manual yum updates ( kernel patches, etc) as plain "yum update" always failed , and it got to the point that "--skip-broken" wasn't helping either.

However, after clearing some seventy updates manually, I finally still have some "dependencies" issues in updating that server, and I'm not sure what if any of these are related to my (belated) change from ZM repo, or if they are even used by ZM? (ALL this machine does is run ZM, I'd be happy to uninstall these if they are not being used....)

Here is the list:

Code: Select all

# yum list updates
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: mirror.it.ubc.ca
 * epel: mirror.sjc02.svwh.net
 * extras: mirror.esecuredata.com
 * rpmfusion-free-updates: muug.ca
 * rpmfusion-nonfree-updates: mirror.math.princeton.edu
 * updates: mirror.esecuredata.com
Updated Packages
gvfs.x86_64                                1.30.4-3.el7                     base
gvfs-afc.x86_64                            1.30.4-3.el7                     base
gvfs-archive.x86_64                        1.30.4-3.el7                     base
gvfs-fuse.x86_64                           1.30.4-3.el7                     base
gvfs-gphoto2.x86_64                        1.30.4-3.el7                     base
gvfs-mtp.x86_64                            1.30.4-3.el7                     base
gvfs-smb.x86_64                            1.30.4-3.el7                     base
libimobiledevice.x86_64                    1.2.0-1.el7                      base
libplist.x86_64                            1.12-3.el7                       base
upower.x86_64                              0.99.4-2.el7                     base
usbmuxd.x86_64                             1.1.0-1.el7                      base


Packages skipped because of dependency problems:
    gvfs-1.30.4-3.el7.x86_64 from base
    gvfs-afc-1.30.4-3.el7.x86_64 from base
    gvfs-archive-1.30.4-3.el7.x86_64 from base
    gvfs-client-1.30.4-3.el7.x86_64 from base
    gvfs-fuse-1.30.4-3.el7.x86_64 from base
    gvfs-gphoto2-1.30.4-3.el7.x86_64 from base
    gvfs-mtp-1.30.4-3.el7.x86_64 from base
    gvfs-smb-1.30.4-3.el7.x86_64 from base
    libimobiledevice-1.2.0-1.el7.x86_64 from base
    libplist-1.12-3.el7.x86_64 from base
    libusbmuxd-1.0.10-5.el7.x86_64 from base
    upower-0.99.4-2.el7.x86_64 from base
    usbmuxd-1.1.0-1.el7.x86_64 from base
( running --skip-broken doesn't help in this case. )

User avatar
knight-of-ni
Posts: 2174
Joined: Thu Oct 18, 2007 1:55 pm
Location: Shiloh, IL

Re: Little question about CentOS 7 repo, dependenciesetc...

Post by knight-of-ni » Thu Oct 19, 2017 1:32 pm

I've not experienced this issue on my own centos server.

All the packages in question are coming from the CentOS base repo, and Zoneminder does not depend on any of them. This question would be better suited in the centos forum.

Sure enough, Googling takes one right to the centos forum. The first two hits state what the issue is and what to do about it:
https://www.google.com/search?q=centos+ ... 8&oe=utf-8
Visit my blog for ZoneMinder related projects using the Raspberry Pi, Orange Pi, Odroid, and the ESP8266
All of these can be found at https://zoneminder.blogspot.com/

rockandroller
Posts: 48
Joined: Tue Dec 22, 2015 12:44 am

Re: Little question about CentOS 7 repo, dependenciesetc...

Post by rockandroller » Fri Sep 14, 2018 11:59 pm

Thanks!!!

Post Reply

Who is online

Users browsing this forum: No registered users and 4 guests